# fice-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.20
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import fice_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import fice_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import fice_client
from fice_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = fice_client.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

configuration.access_token = os.environ["ACCESS_TOKEN"]

# Configure Bearer authorization: Auth0HTTPBearer
configuration = fice_client.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with fice_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = fice_client.AgentsApi(api_client)
    tenant = 'tenant_example' # str | 
    new_agent = fice_client.NewAgent() # NewAgent | 

    try:
        # Create Agent
        api_response = api_instance.create_agent_api_v1_agents_tenant_post(tenant, new_agent)
        print("The response of AgentsApi->create_agent_api_v1_agents_tenant_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AgentsApi->create_agent_api_v1_agents_tenant_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AgentsApi* | [**create_agent_api_v1_agents_tenant_post**](docs/AgentsApi.md#create_agent_api_v1_agents_tenant_post) | **POST** /api/v1/agents/{tenant} | Create Agent
*AgentsApi* | [**create_agent_command_api_v1_agents_tenant_agent_id_command_post**](docs/AgentsApi.md#create_agent_command_api_v1_agents_tenant_agent_id_command_post) | **POST** /api/v1/agents/{tenant}/{agent_id}/command | Create Agent Command
*AgentsApi* | [**download_docker_agent_api_v1_agents_download_compose_get**](docs/AgentsApi.md#download_docker_agent_api_v1_agents_download_compose_get) | **GET** /api/v1/agents/download/compose | Download Docker Agent
*AgentsApi* | [**get_agent_command_api_v1_agents_tenant_agent_id_command_id_get**](docs/AgentsApi.md#get_agent_command_api_v1_agents_tenant_agent_id_command_id_get) | **GET** /api/v1/agents/{tenant}/{agent_id}/command/{id} | Get Agent Command
*AgentsApi* | [**get_api_v1_agents_chat_get**](docs/AgentsApi.md#get_api_v1_agents_chat_get) | **GET** /api/v1/agents/chat | Get
*AgentsApi* | [**get_docker_compose_api_v1_agents_download_agent_docker_compose_get**](docs/AgentsApi.md#get_docker_compose_api_v1_agents_download_agent_docker_compose_get) | **GET** /api/v1/agents/download/agent-docker-compose | Get Docker Compose
*AgentsApi* | [**list_agents_api_v1_agents_tenant_get**](docs/AgentsApi.md#list_agents_api_v1_agents_tenant_get) | **GET** /api/v1/agents/{tenant}/ | List Agents
*AgentsApi* | [**read_finder_config_api_v1_agents_tenant_agent_id_finder_config_get**](docs/AgentsApi.md#read_finder_config_api_v1_agents_tenant_agent_id_finder_config_get) | **GET** /api/v1/agents/{tenant}/{agent_id}/finder_config | Read Finder Config
*AgentsApi* | [**run_murphee_api_v1_agents_demo_murphee_post**](docs/AgentsApi.md#run_murphee_api_v1_agents_demo_murphee_post) | **POST** /api/v1/agents/demo-murphee | Run Murphee
*AgentsApi* | [**write_finder_config_api_v1_agents_tenant_agent_id_finder_config_post**](docs/AgentsApi.md#write_finder_config_api_v1_agents_tenant_agent_id_finder_config_post) | **POST** /api/v1/agents/{tenant}/{agent_id}/finder_config | Write Finder Config
*AuthorizationApi* | [**get_short_lived_access_token_api_v1_auth_ttl_token_get**](docs/AuthorizationApi.md#get_short_lived_access_token_api_v1_auth_ttl_token_get) | **GET** /api/v1/auth/ttl-token | Get Short Lived Access Token
*AuthorizationApi* | [**get_token_api_v1_auth_token_get**](docs/AuthorizationApi.md#get_token_api_v1_auth_token_get) | **GET** /api/v1/auth/token | Get Token
*AuthorizationApi* | [**get_user_info_api_v1_auth_info_get**](docs/AuthorizationApi.md#get_user_info_api_v1_auth_info_get) | **GET** /api/v1/auth/info | Get User Info
*AuthorizationApi* | [**login_api_v1_auth_login_get**](docs/AuthorizationApi.md#login_api_v1_auth_login_get) | **GET** /api/v1/auth/login | Login
*AuthorizationApi* | [**logout_oauth2_api_v1_auth_logout_get**](docs/AuthorizationApi.md#logout_oauth2_api_v1_auth_logout_get) | **GET** /api/v1/auth/logout | Logout Oauth2
*AuthorizationApi* | [**oauth2_callback_api_v1_auth_callback_get**](docs/AuthorizationApi.md#oauth2_callback_api_v1_auth_callback_get) | **GET** /api/v1/auth/callback | Oauth2-Callback
*AuthorizationApi* | [**refresh_token_api_v1_auth_refresh_get**](docs/AuthorizationApi.md#refresh_token_api_v1_auth_refresh_get) | **GET** /api/v1/auth/refresh | Refresh Token
*ComplianceApi* | [**get_compliance_failures_api_v1_compliance_tenant_failures_get**](docs/ComplianceApi.md#get_compliance_failures_api_v1_compliance_tenant_failures_get) | **GET** /api/v1/compliance/{tenant}/failures | Get Compliance Failures
*ComplianceApi* | [**get_device_compliance_status_api_v1_compliance_tenant_status_hostname_get**](docs/ComplianceApi.md#get_device_compliance_status_api_v1_compliance_tenant_status_hostname_get) | **GET** /api/v1/compliance/{tenant}/status/{hostname} | Get Device Compliance Status
*ComplianceApi* | [**log_compliance_api_v1_compliance_tenant_log_config_id_post**](docs/ComplianceApi.md#log_compliance_api_v1_compliance_tenant_log_config_id_post) | **POST** /api/v1/compliance/{tenant}/log/{config_id} | Log Compliance
*ComplianceApi* | [**report_compliance_api_v1_compliance_tenant_report_config_id_post**](docs/ComplianceApi.md#report_compliance_api_v1_compliance_tenant_report_config_id_post) | **POST** /api/v1/compliance/{tenant}/report/{config_id} | Report Compliance
*CompliancePolicyApi* | [**create_compliance_policy_api_v1_policy_tenant_post**](docs/CompliancePolicyApi.md#create_compliance_policy_api_v1_policy_tenant_post) | **POST** /api/v1/policy/{tenant}/ | Create Compliance Policy
*CompliancePolicyApi* | [**create_new_rule_api_v1_policy_tenant_policy_rule_post**](docs/CompliancePolicyApi.md#create_new_rule_api_v1_policy_tenant_policy_rule_post) | **POST** /api/v1/policy/{tenant}/{policy}/rule/ | Create New Rule
*CompliancePolicyApi* | [**execute_rule_test_api_v1_policy_tenant_policy_debug_post**](docs/CompliancePolicyApi.md#execute_rule_test_api_v1_policy_tenant_policy_debug_post) | **POST** /api/v1/policy/{tenant}/{policy}/debug | Execute Rule Test
*CompliancePolicyApi* | [**list_compliance_policies_api_v1_policy_tenant_get**](docs/CompliancePolicyApi.md#list_compliance_policies_api_v1_policy_tenant_get) | **GET** /api/v1/policy/{tenant} | List Compliance Policies
*CompliancePolicyApi* | [**remove_rule_api_v1_policy_tenant_policy_rule_rule_name_delete**](docs/CompliancePolicyApi.md#remove_rule_api_v1_policy_tenant_policy_rule_rule_name_delete) | **DELETE** /api/v1/policy/{tenant}/{policy}/rule/{rule_name} | Remove Rule
*DevicesApi* | [**create_device_api_v1_devices_tenant_post**](docs/DevicesApi.md#create_device_api_v1_devices_tenant_post) | **POST** /api/v1/devices/{tenant} | Create Device
*DevicesApi* | [**download_config_api_v1_devices_tenant_hostname_configs_config_id_get**](docs/DevicesApi.md#download_config_api_v1_devices_tenant_hostname_configs_config_id_get) | **GET** /api/v1/devices/{tenant}/{hostname}/configs/{config_id} | Download Config
*DevicesApi* | [**get_all_devices_api_v1_devices_tenant_get**](docs/DevicesApi.md#get_all_devices_api_v1_devices_tenant_get) | **GET** /api/v1/devices/{tenant}/ | Get All Devices
*DevicesApi* | [**get_device_api_v1_devices_tenant_hostname_get**](docs/DevicesApi.md#get_device_api_v1_devices_tenant_hostname_get) | **GET** /api/v1/devices/{tenant}/{hostname} | Get Device
*DevicesApi* | [**get_run_discovery_api_v1_devices_tenant_discover_get**](docs/DevicesApi.md#get_run_discovery_api_v1_devices_tenant_discover_get) | **GET** /api/v1/devices/{tenant}/discover | Get Run Discovery
*DevicesApi* | [**process_device_discovery_api_v1_devices_tenant_post**](docs/DevicesApi.md#process_device_discovery_api_v1_devices_tenant_post) | **POST** /api/v1/devices/{tenant}/ | Process Device Discovery
*DevicesApi* | [**upload_config_api_v1_devices_tenant_hostname_configs_post**](docs/DevicesApi.md#upload_config_api_v1_devices_tenant_hostname_configs_post) | **POST** /api/v1/devices/{tenant}/{hostname}/configs | Upload Config
*MiscellaneousApi* | [**authorized_status_api_v1_status_authorized_get**](docs/MiscellaneousApi.md#authorized_status_api_v1_status_authorized_get) | **GET** /api/v1/status/authorized | Authorized Status
*MiscellaneousApi* | [**status_api_v1_status_get**](docs/MiscellaneousApi.md#status_api_v1_status_get) | **GET** /api/v1/status | Status
*TenatsApi* | [**create_tenant_api_v1_tenants_post**](docs/TenatsApi.md#create_tenant_api_v1_tenants_post) | **POST** /api/v1/tenants | Create Tenant
*TenatsApi* | [**get_all_tenants_api_v1_tenants_get**](docs/TenatsApi.md#get_all_tenants_api_v1_tenants_get) | **GET** /api/v1/tenants/ | Get All Tenants


## Documentation For Models

 - [Agent](docs/Agent.md)
 - [AgentCmd](docs/AgentCmd.md)
 - [AgentWithStatus](docs/AgentWithStatus.md)
 - [CodeRuleDefinition](docs/CodeRuleDefinition.md)
 - [ComplianceLog](docs/ComplianceLog.md)
 - [CompliancePolicy](docs/CompliancePolicy.md)
 - [ComplianceReport](docs/ComplianceReport.md)
 - [Device](docs/Device.md)
 - [DeviceConfig](docs/DeviceConfig.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [Info](docs/Info.md)
 - [Kind](docs/Kind.md)
 - [LineRange](docs/LineRange.md)
 - [LocationInner](docs/LocationInner.md)
 - [NewAgent](docs/NewAgent.md)
 - [NewCommand](docs/NewCommand.md)
 - [NewComplianceFailure](docs/NewComplianceFailure.md)
 - [NewCompliancePolicy](docs/NewCompliancePolicy.md)
 - [NewDevice](docs/NewDevice.md)
 - [NewTenant](docs/NewTenant.md)
 - [Outcome](docs/Outcome.md)
 - [Rule](docs/Rule.md)
 - [RuleWithInputContext](docs/RuleWithInputContext.md)
 - [Severity](docs/Severity.md)
 - [SimpleRule](docs/SimpleRule.md)
 - [Tenant](docs/Tenant.md)
 - [UserAndAgent](docs/UserAndAgent.md)
 - [ValidationError](docs/ValidationError.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Auth0ImplicitBearer"></a>
### Auth0ImplicitBearer

- **Type**: OAuth
- **Flow**: implicit
- **Authorization URL**: https://net-carrot.eu.auth0.com/authorize?audience=http%3A%2F%2Flocalhost%3A8000
- **Scopes**: 
 - **openid**: 
 - **offline_access**: 
 - **access:api**: 
 - **read:none**: 
 - **write:all**: 
 - **read:tenants**: 

<a id="Auth0HTTPBearer"></a>
### Auth0HTTPBearer

- **Type**: Bearer authentication

<a id="OAuth2AuthorizationCodeBearer"></a>
### OAuth2AuthorizationCodeBearer

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://net-carrot.eu.auth0.com/authorize?audience=http%3A%2F%2Flocalhost%3A8000
- **Scopes**: 
 - **openid**: 
 - **offline_access**: 
 - **access:api**: 
 - **read:none**: 
 - **write:all**: 
 - **read:tenants**: 


## Author




